> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create WCB report

> When a Workers Compensation Board Report is created, the report content will be created asynchronously. It may then be retrieved asynchronously from the GET endpoint using an "accept: text/csv" header.



## OpenAPI

````yaml /spec/openapi.json post /reports/workers-compensation
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /reports/workers-compensation:
    post:
      tags:
        - Reports
      summary: Create WCB report
      description: >-
        When a Workers Compensation Board Report is created, the report content
        will be created asynchronously. It may then be retrieved asynchronously
        from the GET endpoint using an "accept: text/csv" header.
      operationId: reports-workers-compensation-store
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - type: object
                  properties:
                    business_entity_id:
                      type: string
                    pay_schedule_id:
                      type: string
                      description: >-
                        Must be present when `business_entity_id` and
                        `payroll_id` is either empty or not set.
                    filters:
                      type: object
                      description: >-
                        Must be present when `filters.province_of_work` is
                        either empty or not set.
                      properties:
                        year:
                          type: integer
                          minimum: 2024
                          maximum: 2027
                        province_of_work:
                          type: string
                          enum:
                            - AB
                            - BC
                            - FEDERAL
                            - MB
                            - NB
                            - NL
                            - NS
                            - NT
                            - NU
                            - OC
                            - 'ON'
                            - PE
                            - QC
                            - SK
                            - YT
                        province_of_employment:
                          type: string
                          description: >-
                            Must be present when `filters.province_of_work` is
                            either empty or not set.
                          enum:
                            - AB
                            - BC
                            - FEDERAL
                            - MB
                            - NB
                            - NL
                            - NS
                            - NT
                            - NU
                            - OC
                            - 'ON'
                            - PE
                            - QC
                            - SK
                            - YT
                - type: object
                  required:
                    - business_entity_id
            example:
              business_entity_id: <id>
              pay_schedule_id: <id>
              filters:
                year: 2026
                province_of_work: 'ON'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The unique identifier of the object in Nmbr.
                    readOnly: true
                  object:
                    type: string
                    description: The type of the object in Nmbr (`"report"`).
                    readOnly: true
                  data:
                    $ref: '#/components/schemas/Report'
              example:
                id: <id>
                object: report
                data:
                  type: workers-compensation
                  business_entity:
                    id: <id>
                    object: business_entity
                    links:
                      self: /business_entities/<id>
                  pay_schedule:
                    id: <id>
                    object: pay_schedule
                    links:
                      self: /pay_schedules/<id>
                  payroll: null
                  filters:
                    payroll_type: null
                    payroll_status: null
                    pay_date_from: null
                    pay_date_to: null
                    year: 2026
                  has_results: false
                  format: null
                  sheet: null
                  created_at: '2026-01-01T00:00:00.000000Z'
                  updated_at: '2026-01-01T00:00:00.000000Z'
                links:
                  self: /reports/<id>
components:
  schemas:
    Report:
      type: object
      title: Report
      properties:
        type:
          type: string
          enum:
            - cra-remittance
            - ei-cpp-balance
            - ei-qpp-qpip-balance
            - employer-health-tax
            - journal-entry
            - journal-entry-line-item
            - liability
            - payroll-register
            - rl1-preview
            - rq-remittance
            - t4-preview
            - vacation-accrual
            - workers-compensation
            - year-end-forms
            - year-to-date
        business_entity: {}
        pay_schedule: {}
        payroll:
          type: object
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"payroll"`).
              readOnly: true
        filters:
          type: object
          nullable: true
        has_results:
          type: boolean
        format:
          type: string
          description: >-
            The output format set at creation for `/download`. One of `csv` or
            `xlsx`. `null` when no format was specified — required to use
            `/download`.
          nullable: true
          maxLength: 255
          enum:
            - csv
            - pdf
            - xlsx
        sheet:
          type: string
          description: >-
            The sheet selected at creation for multi-sheet reports (e.g.
            `summary` or `detail` for Payroll Register). `null` when the report
            has a single sheet or no sheet was specified.
          nullable: true
          maxLength: 255
        created_at:
          type: string
          description: The date and time the object was created in Nmbr.
          readOnly: true
          format: dateTime
        updated_at:
          type: string
          description: The date and time the object was last updated in Nmbr.
          readOnly: true
          format: dateTime
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````